/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_GLCOLORPROPPANE_H__F9624BAB_E178_4E6D_BCF5_A638BD3D07DB__INCLUDED_)
#define AFX_GLCOLORPROPPANE_H__F9624BAB_E178_4E6D_BCF5_A638BD3D07DB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "GLColorButton.h"
#include "GLColorComboBox.h"
#include "GLPropPanel.h"

/////////////////////////////////////////////////////////////////////////////
// CGLColorPropPane ダイアログ

class CGLColorPropPane : public CGLPropPane{
	// 非 DDX/DDV データ
	COLORREF m_colBkgnd; ///< 背景色
	COLORREF m_colGrid;  ///< グリッド色
	COLORREF m_colAxisX; ///< X (u) 軸色
	COLORREF m_colAxisY; ///< Y (v) 軸色
	COLORREF m_colAxisZ; ///< Z 軸色
	COLORREF m_colCurrent;///< 選択オブジェクトの色
	//COLORREF m_colLocked;
	COLORREF m_colObject; ///< オブジェクトのデフォルト描画色


	// 追加分


// コンストラクション
public:
	CGLColorPropPane(fugenDoc* pTargetDoc);

// ダイアログ データ
	//{{AFX_DATA(CGLColorPropPane)
	enum { IDD = IDD_PROP_COLOR };
	CGLColorButton m_btnBkgnd; ///< 背景色選択ボタン
	CGLColorButton m_btnGrid;  ///< グリッド色選択ボタン
	CGLColorButton m_btnAxisX; ///< X(u)軸色選択ボタン
	CGLColorButton m_btnAxisY; ///< Y(v)軸色選択ボタン
	CGLColorButton m_btnAxisZ; ///< Z軸色選択ボタン
	CGLColorButton m_btnCurrent; ///< 選択色選択ボタン
	//CGLColorButton m_btnLocked;
	CGLColorButton m_btnObject; ///< オブジェクトのデフォルト色選択ボタン
	//}}AFX_DATA

	void SetDefaultColor(bool bRedraw);

	virtual void LoadUserProf();
	virtual BOOL UpdateUserProf();
	virtual void ResetToDefaultUserProf();

	virtual void LoadDocContext();
	virtual BOOL UpdateDocContext();
	virtual void ResetToDefaultDocContext();


// オーバーライド
	//{{AFX_VIRTUAL(CGLColorPropPane)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CGLColorPropPane)
	afx_msg void OnButtonPropColorDefault();
	afx_msg void OnButtonPropColorBkgnd();
	afx_msg void OnButtonPropColorGrid();
	afx_msg void OnButtonPropColorAxisX();
	afx_msg void OnButtonPropColorAxisY();
	afx_msg void OnButtonPropColorAxisZ();
	afx_msg void OnButtonPropColorCurrent();
	//afx_msg void OnButtonPropColorLocked();
	afx_msg void OnButtonPropColorObject();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_GLCOLORPROPPANE_H__F9624BAB_E178_4E6D_BCF5_A638BD3D07DB__INCLUDED_)
